Lines Matching +full:doxygen +full:- +full:version

3 # SPDX-FileCopyrightText: Copyright 2022 Arm Limited and/or its affiliates <open-source-office@arm.…
5 # SPDX-License-Identifier: Apache-2.0
7 # Licensed under the Apache License, Version 2.0 (the License); you may
11 # www.apache.org/licenses/LICENSE-2.0
19 # Version: 1.0
20 # Date: 2022-05-31
21 # This bash script generates CMSIS-Driver Documentation:
23 # Pre-requisites:
24 # - bash shell (for Windows: install git for Windows)
25 # - doxygen 1.9.2
26 # - git
27 # - gh cli
29 set -o pipefail
32 DOXYGEN=$(which doxygen)
36 ############ gen-pack library ###########
39 local URL="https://github.com/Open-CMSIS-Pack/gen-pack/archive/refs/tags/v$1.tar.gz"
41 mkdir -p "$2"
42 curl -L "${URL}" -s | tar -xzf - --strip-components 1 -C "$2" || exit 1
46 if [[ -d ${GEN_PACK_LIB} ]]; then
47 . "${GEN_PACK_LIB}/gen-pack"
50 local GLOBAL_LIB="/usr/local/share/gen-pack/${REQUIRED_GEN_PACK_LIB}"
51 local USER_LIB="${HOME}/.local/share/gen-pack/${REQUIRED_GEN_PACK_LIB}"
52 if [[ ! -d "${GLOBAL_LIB}" && ! -d "${USER_LIB}" ]]; then
57 if [[ -d "${GLOBAL_LIB}" ]]; then
58 . "${GLOBAL_LIB}/gen-pack"
59 elif [[ -d "${USER_LIB}" ]]; then
60 . "${USER_LIB}/gen-pack"
62 echo "Required gen-pack lib is not installed!" >&2
73 if [[ ! -f "${DOXYGEN}" ]]; then
74 echo "Doxygen not found!" >&2
78 version=$("${DOXYGEN}" --version | sed -E 's/.*([0-9]+\.[0-9]+\.[0-9]+).*/\1/')
79 echo "DOXYGEN is ${DOXYGEN} at version ${version}"
80 if [[ "${version}" != "${REQ_DXY_VERSION}" ]]; then
81 echo " >> Version is different from ${REQ_DXY_VERSION} !" >&2
85 if [ -z "$VERSION" ]; then
87 VERSION=${VERSION_FULL%+*}
89 VERSION_FULL=${VERSION}
96 rm -rf ${DIRNAME}/../Documentation/html
97 sed -e "s/{projectNumber}/${VERSION}/" "${DIRNAME}/nn.dxy.in" \
100 git_changelog -p "v" -f html 1> history.txt 2>/dev/null
102 echo "${DOXYGEN} nn.dxy"
103 "${DOXYGEN}" nn.dxy
107 cp -f "${DIRNAME}/templates/search.css" "${DIRNAME}/../Documentation/html/search/"
110 projectName=$(grep -E "PROJECT_NAME\s+=" "${DIRNAME}/nn.dxy" | sed -r -e 's/[^"]*"([^"]+)"/\1/')
111 datetime=$(date -u +'%a %b %e %Y %H:%M:%S')
112 year=$(date -u +'%Y')
114 year="2022-${year}"
116 sed -e "s/{datetime}/${datetime}/" "${DIRNAME}/templates/footer.js.in" \
117 | sed -e "s/{year}/${year}/" \
118 | sed -e "s/{projectName}/${projectName}/" \
119 | sed -e "s/{projectNumber}/${VERSION}/" \
120 | sed -e "s/{projectNumberFull}/${VERSION_FULL}/" \